Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler\SqliteConnectionHandler Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler\SqliteConnectionHandler:

## Public Member Functions
| lastInsertId ($sequenceName=null)
| Retrieve the last auto incremet or sequence id. More...
| getAutoIncrementValue ($table, $column)
| Get auto increment value. More...
| getSequenceName ($table, $column)
| Returns the name of the affected sequence. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler
| __construct (Connection $connection)
| getConnection ()
| getName ()
| beginTransaction ()
| Begin a transaction. More...
| commit ()
| Commit a transaction. More...
| rollBack ()
| Rollback a transaction. More...
| prepare ($query)
| Prepare and return a statement. More...
| useSequences ()
| exec ($query)
| Execute a query against the database. More...
| createSelectQuery ()
| Create Select Query object. More...
| createInsertQuery ()
| Create Insert Query object. More...
| createUpdateQuery ()
| Create update Query object. More...
| createDeleteQuery ()
| Create a Delete Query object. More...
| aliasedColumn ($query, $columnName, $tableName=null)
| Creates an alias for $tableName, $columnName in $query. More...
| quoteColumn ($columnName, $tableName=null)
| Returns a qualified identifier for $columnName in $tableName. More...
| quoteTable ($tableName)
| Returns a qualified identifier for $tableName. More...
| alias ($name, $alias)
| Custom alias method. More...
| quoteIdentifier ($identifier)
| Custom quote identifier method. More...

## Protected Attributes
| $lastInsertedIds = []
Protected Attributes inherited from eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler
| $connection

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler
static | createConnectionFromDSN ($dsn)
static | createFromConnection (Connection $connection)
| Create a Connection Handler from given Doctrine $connection. More...
static | createFromDSN ($dsn)
| Create a Connection Handler with corresponding Doctrine connection from DSN. More...
static | parseDSN ($dsn)

## Detailed Description

Definition at line 11 of file SqliteConnectionHandler.php.

## Member Function Documentation

## ◆ getAutoIncrementValue()

eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler\SqliteConnectionHandler::getAutoIncrementValue | ( |  | $table,
|  |  | $column
| ) |  |

Get auto increment value.

Returns the value used for autoincrement tables. Usually this will just be null. In case for sequence based RDBMS this method can return a proper value for the given column.

Parameters

  string | $table |
  string | $column |

Returns
  mixed

Reimplemented from eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler.

Definition at line 46 of file SqliteConnectionHandler.php.

References eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler\createSelectQuery().

## ◆ getSequenceName()

eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler\SqliteConnectionHandler::getSequenceName | ( |  | $table,
|  |  | $column
| ) |  |

Returns the name of the affected sequence.

Parameters

  string | $table |
  string | $column |

Returns
  string

Reimplemented from eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler.

Definition at line 101 of file SqliteConnectionHandler.php.

## ◆ lastInsertId()

eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler\SqliteConnectionHandler::lastInsertId | ( |  | $sequenceName = `null` | ) |

Retrieve the last auto incremet or sequence id.

Parameters

  string | $sequenceName |

Returns
  string

Reimplemented from eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler.

Definition at line 22 of file SqliteConnectionHandler.php.

## Member Data Documentation

## ◆ $lastInsertedIds

eZ\Publish\Core\Persistence\Doctrine\ConnectionHandler\SqliteConnectionHandler::$lastInsertedIds = []
| protected

Definition at line 13 of file SqliteConnectionHandler.php.

The documentation for this class was generated from the following file:

- SqliteConnectionHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.